<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.chinacreator.video.mapper.PayConverDao">

    <select id="getNo" resultType="String">
       SELECT TO_CHAR(SYSDATE,'yyyyMMddhh24miss')||SEQ_COMMON6.nextval SENO FROM DUAL       
    </select>

    <insert id="addPayConverRec" parameterType="Map">
       INSERT INTO TD_PAYCONVER_REC(
			ID,USERID,CPID,SPID,REQUEST)
 		VALUES(#{id},#{userid},#{cpid},#{spid},#{request})
    </insert>

    <update id="upPayConverRec" parameterType="Map">
		UPDATE TD_PAYCONVER_REC SET resultcode = #{resultcode},resultinfo = #{resultinfo},returnurl = #{returnurl}
		WHERE ID = #{id}
	</update>

    <select id="getConverParm" resultType="Map">
       SELECT CONVERCPID,CONVERSPID  FROM TB_PAYCONVER_PRODUCT WHERE SPID = #{spid}
    </select>



</mapper>